Update
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Roles.Update(ctx, operations.C1APIIamV1RolesUpdateRequest{
RoleID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.UpdateRolesResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.roles.update({
roleId: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/iam/roles/{role_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"role": {
"displayName": "<string>",
"permissions": [
"<string>"
],
"serviceRoles": [
"<string>"
]
},
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/iam/roles/{role_id}"
payload = {
"role": {
"displayName": "<string>",
"permissions": ["<string>"],
"serviceRoles": ["<string>"]
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
role: {displayName: '<string>', permissions: ['<string>'], serviceRoles: ['<string>']},
updateMask: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/iam/roles/{role_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"role": {
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"id": "<string>",
"name": "<string>",
"permissions": [
"<string>"
],
"serviceRoles": [
"<string>"
],
"systemApiOnly": true,
"systemBuiltin": true,
"updatedAt": "2023-11-07T05:31:56Z"
}
}Role
Update
Update a role by passing a Role object.
POST
/
api
/
v1
/
iam
/
roles
/
{role_id}
Update
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Roles.Update(ctx, operations.C1APIIamV1RolesUpdateRequest{
RoleID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.UpdateRolesResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.roles.update({
roleId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The id of the role.
Body
application/json
Response
200 - application/json
UpdateRolesResponse is the response message containing the updated role.
UpdateRolesResponse is the response message containing the updated role.
Role is a role that can be assigned to a user in ConductorOne.
Show child attributes
Show child attributes
Was this page helpful?
⌘I